# LightWalletEndpoint

    public struct LightWalletEndpoint

Represents a lightwallet instance endpoint to connect to

- `host`

  Undocumented

  #### Declaration

  Swift

      public var host: String

- `port`

  Undocumented

  #### Declaration

  Swift

      public var port: Int

- `secure`

  Undocumented

  #### Declaration

  Swift

      public var secure: Bool

- `singleCallTimeoutInMillis`

  Undocumented

  #### Declaration

  Swift

      public var singleCallTimeoutInMillis: Int64

- `streamingCallTimeoutInMillis`

  Undocumented

  #### Declaration

  Swift

      public var streamingCallTimeoutInMillis: Int64

- `init(address:port:secure:singleCallTimeoutInMillis:streamingCallTimeoutInMillis:)`

  initializes a LightWalletEndpoint

  #### Declaration

  Swift

      public init(
          address: String,
          port: Int,
          secure: Bool = true,
          singleCallTimeoutInMillis: Int64 = 10000,
          streamingCallTimeoutInMillis: Int64 = 100000
      )

  #### Parameters

  `address` | a String containing the host address
  `port` | string with the port of the host address
  `secure` | true if connecting through TLS. Default value is true
  `singleCallTimeoutInMillis` | timeout for single calls in Milliseconds
  `streamingCallTimeoutInMillis` | timeout for streaming calls in Milliseconds

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.